# Common Library for OZG-Cloud Applications

## Changelog
### 4.9.0
* Update Spring-Boot to 3.4.1 / Spring 6.2.1
* Update grpc to 1.69.0
* Update protoc-gen to 1.69
* Update commons-beanutils to 1.10.0
* Update jakarta to 2.20

### 4.8.0
* Update Spring-Boot to 3.3.7
* Run sbom-build only in maven profile 'ci'
* Update FOP to 2.10

### 4.7.0
* Update Spring-Boot to 3.3.6
* Update Mapstruct to 1.6.3
* Update commons-io to 2.18.0
* Update surfire/failsafe Plugin to 3.5.2

* Update OZGCloud License Generator wegen zusätzlichen Dateiendungen

### 4.6.0
* Update [OZGCloud License Generator](ozgcloud-common-license/readme.md)
* `GrpcUtil` erweitern: mehr Schlüssel hinzufügen und Methoden, um diese Schlüssel aus gRPC-Metadaten zu extrahieren.

### 4.5.0
* common-lib erweitern: gRPC Server Downloader für binäre Dateien hinzufügen
* fix: Resource Ordner konfigurieren
* Update Vorgang-Manager 2.17.0

### 4.4.0
* Integration SBOM in JAR-File (OZG-4833)
* Update to Spring-Boot 3.3.4
* Update netdev.grpc Spring-Boot Starter to 3.1.0-RELEASE
* Update grpc to 1.66.0
* Update protoc-jar plugin to 3.14.0
* Update protobuf to 4.27.3
* Update protoc-gen to 1.66
* Update Quarkus Platform to 3.13.3
* Update Keycloak Adapter to 24.0.5

### 4.3.2
* update mapstruct 1.5.5 -> 1.6.0
* Update to Spring-Boot 3.2.9 / Spring 6.1.12
* Update Maven Surefire / Failsave to 3.4.0

### 4.3.1
* Update to Spring-Boot 3.2.8 / Spring 6.1.11
* Vorgang-Manager 2.9.0
* commons libs update

### 4.2.0
* Update to Spring-Boot 3.2.6 / Spring 6.1.8

### 4.1.0

### 4.0.1

### 4.0.0
* Update to Spring-Boot 3.2 / Spring 6.1
* Update to Java 21
* fixed dependencies for jjwt
* Umstellung auf io.github.git-commit-id git-commit-id-maven-plugin
